DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes
offilsys.h File Reference

Implementing the currently used subset of C++17' std::filesystem, i.e. various classes, free standing functions and global definitions as can be found in <filesystem>. More...

## Classes
class | OFpath
| A class representing paths on a filesystem. More...
class | OFdirectory_entry
| A class representing an directory entry. More...
class | OFdirectory_iterator
| An iterator for iterating over all the files (and folders) contained in a given filesystem location. More...

## Detailed Description

Implementing the currently used subset of C++17' std::filesystem, i.e. various classes, free standing functions and global definitions as can be found in <filesystem>.

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2